import { DomainEvent } from './domain-event.base';

export interface RewardMovedToSettleablePayload {
  userId: string;
  walletId: string;
  usdtAmount: string;
  hashpowerAmount: string;
}

export class RewardMovedToSettleableEvent extends DomainEvent {
  constructor(private readonly payload: RewardMovedToSettleablePayload) {
    super({
      aggregateId: payload.walletId,
      aggregateType: 'WalletAccount',
    });
  }

  getPayload(): RewardMovedToSettleablePayload {
    return this.payload;
  }
}
